Package com.pixelmed.utils

# Class FileReaper

java.lang.Object
java.lang.Thread
com.pixelmed.utils.FileReaper

All Implemented Interfaces:
  `Runnable`

public final class FileReaper extends Thread

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Thread

`Thread.State, Thread.UncaughtExceptionHandler`

## Field Summary

### Fields inherited from class java.lang.Thread

`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

## Constructor Summary

Constructors
Constructor
Description
`FileReaper()`

## Method Summary

Modifier and Type
Method
Description
`static final void`
`addFileToDelete(String path)`
`protected void`
`finalize()`
`void`
`run()`

### Methods inherited from class java.lang.Thread

`activeCount, clone, currentThread, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, onSpinWait, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, toString, yield`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### FileReaper

public FileReaper()

## Method Details

### run

public void run()

Specified by:
  `run` in interface `Runnable`
Overrides:
  `run` in class `Thread`

### addFileToDelete

public static final void addFileToDelete(String path)

### finalize

protected void finalize() throws Throwable

Throws:
  `Throwable`